﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace SpreadwithjQueryCalendar
{
    public partial class SpreadCalendarCell : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {

                DataTable dt = new DataTable();
                dt.Columns.Add(new DataColumn("Date of Birth", typeof(DateTime)));
                dt.Columns.Add(new DataColumn("First Name", typeof(string)));
                dt.Columns.Add(new DataColumn("Last Name", typeof(string)));
                dt.Columns.Add(new DataColumn("City", typeof(string)));
                dt.Columns.Add(new DataColumn("State", typeof(string)));
                dt.Columns.Add(new DataColumn("Country", typeof(string)));
                dt.Columns.Add(new DataColumn("Phone Number", typeof(Int64)));

                dt.Rows.Add("11 / 12 / 1982", "Michael", "Voughan", "Boston", "Massachusetts", "USA", 8765561234);
                dt.Rows.Add("08 / 08 / 1977", "Steve", "Smith", "Las Vegas", "Nevada", "USA", 8444234234);
                dt.Rows.Add("09 / 30 / 1989", "John", "Smith", "Seattle", "Washington", "USA", 6654351287);
                dt.Rows.Add("11 / 12 / 1987", "Larry", "June", "Raleigh", "North Carolina", "USA", 8760981987);
                dt.Rows.Add("11 / 03 / 1985", "Keith", "May", "Pittsburgh", "Pennsylvania", "USA", 8765561487);
                dt.Rows.Add("10 / 29 / 1967", "Scott", "Coulter", "New Jersey", "New York", "USA", 8342641234);
                dt.Rows.Add("11 / 12 / 1982", "Jon", "Shorter", "San Jose", "California", "USA", 8765568888);
                dt.Rows.Add("12 / 02 / 1980", "Peter", "Parker", "Houston", "Texas", "USA", 9876561234);
                dt.Rows.Add("02 / 12 / 1987", "Linda", "May", "Dallas", "Texas", "USA", 6547789003);
                dt.Rows.Add("11 / 01 / 1983", "Scott", "Coulter", "New Jersey", "New York", "USA", 8342641234);
                dt.Rows.Add("08 / 05 / 1981", "Jon", "Shorter", "San Jose", "California", "USA", 8765568888);
                dt.Rows.Add("09 / 14 / 1974", "Peter", "Parker", "Houston", "Texas", "USA", 9876561234);
                dt.Rows.Add("01 / 20 / 1968", "Linda", "May", "Dallas", "Texas", "USA", 6547789003);
                dt.Rows.Add("09 / 30 / 1989", "John", "Smith", "Seattle", "Washington", "USA", 6654351287);
                dt.Rows.Add("11 / 12 / 1987", "Larry", "June", "Raleigh", "North Carolina", "USA", 8760981987);
                dt.Rows.Add("11 / 03 / 1985", "Keith", "May", "Pittsburgh", "Pennsylvania", "USA", 8765561487);
                dt.Rows.Add("10 / 29 / 1967", "Scott", "Coulter", "New Jersey", "New York", "USA", 8342641234);
                dt.Rows.Add("11 / 12 / 1982", "Jon", "Shorter", "San Jose", "California", "USA", 8765568888);
                dt.Rows.Add("12 / 02 / 1980", "Peter", "Parker", "Houston", "Texas", "USA", 9876561234);
                dt.Rows.Add("08 / 05 / 1981", "Jon", "Shorter", "San Jose", "California", "USA", 8765568888);
                dt.Rows.Add("09 / 14 / 1974", "Peter", "Parker", "Houston", "Texas", "USA", 9876561234);
                dt.Rows.Add("01 / 20 / 1968", "Linda", "May", "Dallas", "Texas", "USA", 6547789003);
                dt.Rows.Add("09 / 30 / 1989", "John", "Smith", "Seattle", "Washington", "USA", 6654351287);


                FpSpread1.DataSource = dt;
                FpSpread1.DataBind();
                FarPoint.Web.Spread.Extender.DateCalendarCellType dc = new FarPoint.Web.Spread.Extender.DateCalendarCellType();
                dc.Animated = true;
                dc.DateFormat = "dd/MM/yyyy";
                dc.EnableOnClient = true;
                dc.ShowEditor = true;
                FpSpread1.Columns[0].CellType = dc;
                FpSpread1.ActiveSheetView.AllowPage = true;
                FpSpread1.ActiveSheetView.PageSize = 15;

                FpSpread1.TitleInfo.Text = "jQuery Calendar";
                FpSpread1.TitleInfo.ForeColor = System.Drawing.Color.Red;

                
            }
     

        }
    }
}